### Method

# Tsparql Endpoint set_allowed_graphs

since: 3.7

#### Declaration [src]

    void
    tracker_endpoint_set_allowed_graphs (
      TrackerEndpoint* endpoint,
      const gchar* const* graphs
    )

#### Description [src]

Sets the list of RDF graphs that this endpoint will allow access for. Any explicit (e.g. `GRAPH` keyword) or implicit (e.g. through the default anonymous graph) access to RDF graphs unespecified in this list in SPARQL queries will be seen as if those graphs did not exist, or (equivalently) had an empty set. Changes to these graphs through SPARQL updates will also be disallowed.

If `graphs` is `NULL`, access will be allowed to every RDF graph stored in the endpoint, this is the default behavior. If you want to forbid access to all RDF graphs, use an empty list.

The empty string (`""`) is allowed as a special value, to allow access to the stock anonymous graph. All graph names are otherwise dependent on the endpoint and its contained data.

Available since: 3.7

Sets property | `Tsparql.Endpoint:allowed-graphs`

#### Parameters

`graphs`

  Type: `const gchar* const*`

  List of allowed graphs, or `NULL` to allow all graphs.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.